<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8">
    <title>PokeDex</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" type="text/css" th:href="@{/assets/bootstrap.css}">
    <link rel="stylesheet" type="text/css" th:href="@{/assets/bootstrap.min.css}">
    <script src="https://kit.fontawesome.com/85c6a328a2.js" crossorigin="anonymous"></script>

</head>
<body>


<nav class="navbar navbar-dark bg-dark">
    <div class="container-fluid" style="margin-top: -29px; height: 30px;">
        <a style="margin-left: 70px; margin-top: 10px;" class="navbar-brand">Wiki Pokemon</a>
        <div class="flex-row-reverse">
            <ul class="navbar-nav">
                <li class="nav-item">
                </li>
                <li class="nav-item" style="margin-top: 6px;">
                    <a class="nav-link">
                        <span style="color:azure">Hola | Entrenador</span>
                    </a>
                </li>
            </ul>
        </div>
    </div>
</nav>
<br>


<div class="d-flex flex-row flex-wrap">

    <div th:each="pokemon : ${pokemonList}" class="col-md-2 mb-4">
        <a th:href="@{'/pokemon/details/' + ${pokemon.id}}" class="card text-center" style="cursor: pointer">
            <div class="card-header bg-dark text-white d-flex align-items-center justify-content-center">
                <p th:text="${pokemon.name}"></p>
            </div>
            <img class="card-img-top"
                 th:src="@{'https://raw.githubusercontent.com/PokeAPI/sprites/master/sprites/pokemon/' + ${pokemon.id} + '.png'}">
        </a>
    </div>
</div>


</body>
</html>